## gnome-vfs-util gnome-vfs-util — |

## Synopsis

    #include <libgnomeui/libgnomeui.h>

    void        (*GnomeGdkPixbufLoadCallback)   (GnomeGdkPixbufAsyncHandle *handle,
                                                 GnomeVFSResult error,
                                                 GdkPixbuf *pixbuf,
                                                 gpointer cb_data);
    void        (*GnomeGdkPixbufDoneCallback)   (GnomeGdkPixbufAsyncHandle *handle,
                                                 gpointer cb_data);
    GdkPixbuf*  gnome_gdk_pixbuf_new_from_uri   (const char *uri);
    GnomeGdkPixbufAsyncHandle* gnome_gdk_pixbuf_new_from_uri_async
                                                (const char *uri,
                                                 GnomeGdkPixbufLoadCallback load_callback,
                                                 GnomeGdkPixbufDoneCallback done_callback,
                                                 gpointer callback_data);
    void        gnome_gdk_pixbuf_new_from_uri_cancel
                                                (GnomeGdkPixbufAsyncHandle *handle);

## Description

## Details

### GnomeGdkPixbufLoadCallback ()

    void        (*GnomeGdkPixbufLoadCallback)   (GnomeGdkPixbufAsyncHandle *handle,
                                                 GnomeVFSResult error,
                                                 GdkPixbuf *pixbuf,
                                                 gpointer cb_data);

`handle` : |
`error` : |
`pixbuf` : |
`cb_data` : |

### GnomeGdkPixbufDoneCallback ()

    void        (*GnomeGdkPixbufDoneCallback)   (GnomeGdkPixbufAsyncHandle *handle,
                                                 gpointer cb_data);

`handle` : |
`cb_data` : |

### gnome_gdk_pixbuf_new_from_uri ()

    GdkPixbuf*  gnome_gdk_pixbuf_new_from_uri   (const char *uri);

`uri` : |
Returns : |

### gnome_gdk_pixbuf_new_from_uri_async ()

    GnomeGdkPixbufAsyncHandle* gnome_gdk_pixbuf_new_from_uri_async
                                                (const char *uri,
                                                 GnomeGdkPixbufLoadCallback load_callback,
                                                 GnomeGdkPixbufDoneCallback done_callback,
                                                 gpointer callback_data);

`uri` : |
`load_callback` : |
`done_callback` : |
`callback_data` : |
Returns : |

### gnome_gdk_pixbuf_new_from_uri_cancel ()

    void        gnome_gdk_pixbuf_new_from_uri_cancel
                                                (GnomeGdkPixbufAsyncHandle *handle);

`handle` : |